Bug 193476 - import existing m3u playlists
Summary: import existing m3u playlists
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.0.96
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-21 11:59 UTC by Arne Babenhauserheide
Modified: 2009-10-20 12:45 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arne Babenhauserheide 2009-05-21 11:59:19 UTC
Version:           2.0.96 (using 4.2.3 (KDE 4.2.3), Gentoo)
Compiler:          x86_64-pc-linux-gnu-gcc
OS:                Linux (x86_64) release 2.6.29-hh2

I'd like to have an option to import existing m3u playlists. 

I massive amounts of work into my old playlists, so I'd like to retrieve them. 

Besides that and a few similar little missing pieces I really, really like Amarok2!
Comment 1 Arne Babenhauserheide 2009-05-21 12:00:11 UTC
damn, this should have been a wish...
Comment 2 S. Burmeister 2009-05-21 12:02:53 UTC
What do you mean by importing? Creating a copy or being able to load a folder and amarok using it as it's playlist folder, i.e. new playlists are put there.

If you just want to use your old playlists you can workaround the lack of the above by copying the playlist folder into your collection and amarook will pick it up when scanning.
Comment 3 Arne Babenhauserheide 2009-05-21 12:13:23 UTC
Wow, that answer was damn fast. Many thanks! 

Does this also work for non-amarok playlists? 

And do you intend to add an option to import playlists directly (without the workaround)? 

Best wishes, 
Arne
Comment 4 Bart Cerneels 2009-09-07 13:02:12 UTC
Only playlist files in the collection folder are automatically imported. We can't go around scanning your entire hard-drive. I hope you understand.

But soon (let's say by the next beta of 2.2) you'll be able to add them via drag and drop into the "Saved Playlists" section.
Comment 5 Arne Babenhauserheide 2009-09-07 20:17:24 UTC
Drag and Drop would be exactly what I need - I'm anxious to see 2.2! 

Many thanks!
Comment 6 Bart Cerneels 2009-10-20 12:45:28 UTC
Implemented in soon to be release 2.2.1